Class | YARD::Server::Commands::StaticFileCommand
In: | lib/yard/server/commands/static_file_command.rb
Parent: | Base

Serves static content when no other router matches a request

### Methods

run

### Included Modules

WEBrick::HTTPUtils

### Constants

STATIC_PATHS

=

[ File.join(YARD::TEMPLATE_ROOT, 'default', 'fulldoc', 'html'), File.join(File.dirname(__FILE__), '..', 'templates', 'default', 'fulldoc', 'html')

Defines the paths used to search for static assets. To define an extra path, use {YARD::Server.register_static_path} rather than modifying this constant directly. Also note that files in the document root will always take precedence over these paths.

### Public Instance methods

run()

[Validate]